Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039867
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-01-02 14:072019-01-18 15:07
Reporterprakashmurugesan88View Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision867a9b33faaa
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039867: "Total Amount" button gets enabled before Line's "PriceRule" validations

DescriptionWhile adding a service(pricerule based) to a ticket, "Total Amount" button gets enabled before the "PriceRule" validations(No price rule ranged defined).

So when there is delay in validation due to slow performance.

There is possibility to pay and process the order with improperly configured service line(Without price rule range defined).

Cause:
In order.js,

In following function(OB.UTIL.getCalculatedPriceForService) there are validations(OBPOS_ErrorPriceRuleRangeNotFound) inside asynchronous blocks(OB.Dal.find()), therefore these validations will not restrict further flow(Enabling Total Amount Button).
Steps To ReproduceIn BackOffice:
           In Product Window
          Select Product "Warranty (deferrable -4 days)"
          Check "Is Price Rule Based"

          In Tab Price Rule Version
          Enter "Valid From Date"
          Select "Service Price Rule" of "Rule Type" - "Ranges" and Leave Ranges Tab Empty.
          Enter Minimum and Maximum as 1 and 1000 Respectively.

In WEBPOS:

         Refer following video for steps,
         https://drive.google.com/file/d/1PCulAdy4y_nttqQtFDw9PyaXo1_K_ZAp/view [^]

         Issue:
             In video for the first time when the server is fast "Price Rule Validation" appears.
             But in second time when the performance is slow, can able to process the payment before the "Price Rule Validation".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108876)
hgbot (developer)
2019-01-10 03:24

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 867a9b33faaa8001bcf57881601e4dec6c37ec85
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Jan 08 22:15:41 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/867a9b33faaa8001bcf57881601e4dec6c37ec85 [^]

Fixed issue 39867: "Total Amount" button gets enabled before Line's "PriceRule"
validations

- Prevent the "Total Amount" button gets enabled by asynchronous calls
inside OB.UTIL.getCalculatedPriceForService function

---
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---
(0108908)
guilleaer (developer)
2019-01-10 17:04

First find should be also inside a process controller
(0108909)
hgbot (developer)
2019-01-10 17:27

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d87cae6dadeb7a4daf3d61d5885386ca3df7e07a
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Jan 10 11:19:59 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d87cae6dadeb7a4daf3d61d5885386ca3df7e07a [^]

Related to issue 39867: "Total Amount" button gets enabled before Line's
"PriceRule" validations

- Optimized calls to the start and finish functions

---
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---

- Issue History
Date Modified Username Field Change
2019-01-02 14:07 prakashmurugesan88 New Issue
2019-01-02 14:07 prakashmurugesan88 Assigned To => Retail
2019-01-02 14:07 prakashmurugesan88 Triggers an Emergency Pack => No
2019-01-03 15:09 rqueralta Assigned To Retail => rqueralta
2019-01-03 15:09 rqueralta Status new => scheduled
2019-01-10 03:24 hgbot Checkin
2019-01-10 03:24 hgbot Note Added: 0108876
2019-01-10 03:24 hgbot Status scheduled => resolved
2019-01-10 03:24 hgbot Resolution open => fixed
2019-01-10 03:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/867a9b33faaa8001bcf57881601e4dec6c37ec85 [^]
2019-01-10 17:04 guilleaer Note Added: 0108908
2019-01-10 17:27 hgbot Checkin
2019-01-10 17:27 hgbot Note Added: 0108909
2019-01-18 15:06 guilleaer Review Assigned To => guilleaer
2019-01-18 15:06 guilleaer Status resolved => closed
2019-01-18 15:07 guilleaer Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker